Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.model.api
Class ModelException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.eclipse.birt.core.exception.BirtException
                  org.eclipse.birt.report.model.api.ModelException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  DesignFileException, MetaDataReaderException, SemanticException, StyleSheetException, StyleSheetParserException

    public abstract class ModelException

extends org.eclipse.birt.core.exception.BirtException

Implementation of BirtException in model project.

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `PLUGIN_ID` The plugin id of all the model exceptions.

Fields inherited from class org.eclipse.birt.core.exception.BirtException
`CANCEL, ERROR, INFO, oaMessageArguments, OK, pluginId, rb, severity, sResourceKey, WARNING`

Constructor Summary
`ModelException(java.lang.String errCode)` Constructs a new model exception with the error code.
`ModelException(java.lang.String errCode, java.lang.String[] args, java.lang.Throwable cause)` Constructs a new model exception with the error code, string arguments used to format error messages and the nested exception.
`ModelException(java.lang.String pluginId, java.lang.String errorCode, java.lang.Object[] args, java.util.ResourceBundle bundle)` Constructs a new model exception.
`ModelException(java.lang.String pluginId, java.lang.String errorCode, java.lang.Object[] args, java.util.ResourceBundle bundle, java.lang.Throwable cause)` Constructs a new model exception.
`ModelException(java.lang.String pluginId, java.lang.String errorCode, java.lang.Object[] args, java.lang.Throwable cause)` Constructs a new model exception.
`ModelException(java.lang.String pluginId, java.lang.String errorCode, java.lang.Object arg0, java.util.ResourceBundle bundle)` Constructs a new model exception.
`ModelException(java.lang.String pluginId, java.lang.String errorCode, java.lang.Object arg0, java.util.ResourceBundle bundle, java.lang.Throwable cause)` Constructs a new model exception.
`ModelException(java.lang.String pluginId, java.lang.String errorCode, java.util.ResourceBundle bundle)` Constructs a new model exception with no cause object.
`ModelException(java.lang.String pluginId, java.lang.String errorCode, java.util.ResourceBundle bundle, java.lang.Throwable cause)` Constructs a new model exception.

Method Summary

Methods inherited from class org.eclipse.birt.core.exception.BirtException
`getErrorCode, getLocalizedMessage, getLocalizedMessage, getMessage, getPluginId, getSeverity, setSeverity`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### PLUGIN_ID

    public static final java.lang.String PLUGIN_ID

  The plugin id of all the model exceptions.

  See Also:
    Constant Field Values

Constructor Detail

### ModelException

    public ModelException(java.lang.String errCode)

  Constructs a new model exception with the error code.

  Parameters:
    `errCode` - used to retrieve a piece of externalized message displayed to end user

### ModelException

    public ModelException(java.lang.String errCode,
                          java.lang.String[] args,
                          java.lang.Throwable cause)

  Constructs a new model exception with the error code, string arguments used to format error messages and the nested exception.

  Parameters:
    `errCode` - used to retrieve a piece of externalized message displayed to end user
    `args` - string arguments used to format error messages
    `cause` - the nested exception

### ModelException

    public ModelException(java.lang.String pluginId,
                          java.lang.String errorCode,
                          java.util.ResourceBundle bundle)

  Constructs a new model exception with no cause object.

  Parameters:
    `pluginId` - Returns the unique identifier of the plug-in associated with this exception
    `errorCode` - used to retrieve a piece of externalized message displayed to end user.
    `bundle` - the resourceBundle used to translate the message.

### ModelException

    public ModelException(java.lang.String pluginId,
                          java.lang.String errorCode,
                          java.util.ResourceBundle bundle,
                          java.lang.Throwable cause)

  Constructs a new model exception.

  Parameters:
    `pluginId` - Returns the unique identifier of the plug-in associated with this exception
    `errorCode` - used to retrieve a piece of externalized message displayed to end user.
    `bundle` - the resourceBundle used to translate the message.
    `cause` - the nested exception

### ModelException

    public ModelException(java.lang.String pluginId,
                          java.lang.String errorCode,
                          java.lang.Object[] args,
                          java.util.ResourceBundle bundle,
                          java.lang.Throwable cause)

  Constructs a new model exception.

  Parameters:
    `pluginId` - Returns the unique identifier of the plug-in associated with this exception
    `errorCode` - used to retrieve a piece of externalized message displayed to end user.
    `bundle` - the resourceBundle used to translate the message.
    `args` - string arguments used to format error messages
    `cause` - the nested exception

### ModelException

    public ModelException(java.lang.String pluginId,
                          java.lang.String errorCode,
                          java.lang.Object arg0,
                          java.util.ResourceBundle bundle,
                          java.lang.Throwable cause)

  Constructs a new model exception.

  Parameters:
    `pluginId` - Returns the unique identifier of the plug-in associated with this exception
    `errorCode` - used to retrieve a piece of externalized message displayed to end user.
    `bundle` - the resourceBundle used to translate the message.
    `cause` - the nested exception
    `arg0` - first argument used to format error messages

### ModelException

    public ModelException(java.lang.String pluginId,
                          java.lang.String errorCode,
                          java.lang.Object[] args,
                          java.util.ResourceBundle bundle)

  Constructs a new model exception.

  Parameters:
    `pluginId` - Returns the unique identifier of the plug-in associated with this exception
    `errorCode` - used to retrieve a piece of externalized message displayed to end user.
    `bundle` - the resourceBundle used to translate the message.
    `args` - string arguments used to format error messages

### ModelException

    public ModelException(java.lang.String pluginId,
                          java.lang.String errorCode,
                          java.lang.Object arg0,
                          java.util.ResourceBundle bundle)

  Constructs a new model exception.

  Parameters:
    `pluginId` - Returns the unique identifier of the plug-in associated with this exception
    `errorCode` - used to retrieve a piece of externalized message displayed to end user.
    `bundle` - the resourceBundle used to translate the message.
    `arg0` - first argument used to format error messages

### ModelException

    public ModelException(java.lang.String pluginId,
                          java.lang.String errorCode,
                          java.lang.Object[] args,
                          java.lang.Throwable cause)

  Constructs a new model exception.

  Parameters:
    `pluginId` - Returns the unique identifier of the plug-in associated with this exception
    `errorCode` - used to retrieve a piece of externalized message displayed to end user.
    `cause` - the nested exception
    `args` - string arguments used to format error messages

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.